# -*- encoding: utf-8 -*-
# @Author: https://github.com/Evil0ctal/
# @Time: 2021/11/06
# @Update: 2022/11/09
# @Function:
# 项目的配置文件/Config file of the project

[Scraper] # scraper.py
# 是否使用代理(如果部署在IP受限国家需要开启默认为False关闭，请自行收集代理，下面代理仅作为示例不保证可用性)
# Whether to use proxy (if deployed in a country with IP restrictions, it needs to be turned on by default, False is closed. Please collect proxies yourself. The following proxies are only for reference and do not guarantee availability)
Proxy_switch = False

# 是否根据不同协议(http/https)使用不同代理，设置为True时修改Http_proxy/Https_proxy这两个变量的值
# Whether to use different proxies for different protocols (http/https). When set to True, modify the values of the two variables Http_proxy/Https_proxy
Use_different_protocols = False

# http/https协议都使用以下代理(Use_different_protocols为False时生效)
# Both http/https protocols use the following proxy (effective when Use_different_protocols is False)
All = 45.167.124.5:9992

# http协议使用以下代理(Use_different_protocols为True时生效)
# The http protocol uses the following proxy (effective when Use_different_protocols is True)
Http_proxy = http://45.167.124.5:9992

# https协议使用以下代理(Use_different_protocols为True时生效)
# The https protocol uses the following proxy (effective when Use_different_protocols is True)
Https_proxy = https://45.167.124.5:9992

[Web_API] # web_api.py
# API链接 如：http://127.0.0.1:2333 或 http://api.douyin.wtf (末尾不要留斜杠)
# API link, such as: http://127.0.0.1:2333 or http://api.douyin.wtf (no slash at the end)
Domain = http://api.douyin.wtf

# 限制API的请求次数/Limited API requests
Rate_Limit = 10/minute

# API默认运行端口/Default port of API
Port = 8000

# 默认下载目录/Default download directory
Download_Path = ./download

# 是否开启下载[tag = Download]功能(默认开启，关闭后无法下载)/Whether to enable the download [tag = Download] function (default open, closed after download)
Download_Switch = True

# 是否自动清理下载目录/Whether to automatically clean up the download directory
Download_Path_Clean_Switch = True

# 下载文件夹自动删除时间(单位：秒)/Download folder automatic deletion time (unit: seconds)
Download_Path_Clean_Timer = 3600

# 默认下载文件名前缀/Default download file name prefix
File_Name_Prefix = api.douyin.wtf_

# 是否记录API调用日志/Whether to record API call logs
Allow_Logs = True

# 快捷指令版本/Shortcut version
iOS_Shortcut_Version = 6.0

# 快捷指令Link(Chinese_Language)
iOS_Shortcut_Link = https://www.icloud.com/shortcuts/4465d514869e4ca585074d40328f3e0e

# Shortcut Link(English_Language)
iOS_Shortcut_Link_EN = https://www.icloud.com/shortcuts/58e3a2cbac784a6782f1031c6b1dd9f8

# 快捷指令更新时间/Shortcut update time
iOS_Shortcut_Update_Time = 2022/11/06

# 快捷指令更新记录/Shortcut update log
iOS_Shortcut_Update_Note = 重新适配https://api.douyin.wtf(API-V1 3.0.0版本)

# iOS shortcut update note
iOS_Shortcut_Update_Note_EN = Re-adapt https://api.douyin.wtf (API-V1 3.0.0 version)

[Web_APP] # web_app.py
# 网页默认运行端口/Web default running port
Port = 80

# PyWebIO是否使用CDN来获取前端的静态资源(防止CDN被墙导致无法正常显示)
# Whether PyWebIO uses CDN to obtain static resources of the front end (to prevent CDN from being blocked and displayed normally)
PyWebIO_CDN = True

# 最大接受提交URL的数量/Maximum number of URLs accepted for submission
Max_Take_URLs = 200

# 是否记录错误日志/Whether to record error logs
Allow_Logs = True

# 网页标题
Web_Title = TikTok/抖音无水印在线解析下载

# Web Title English
Web_Title_English = Douyin/TikTok online parsing and download without watermark

# 网页描述
Web_Description = 在线批量解析TikTok/抖音视频和图片，支持无水印下载，官方数据接口，稳定，开源，免费，无广告。

# Web Description English
Web_Description_English = Online batch parsing of TikTok/Douyin videos and pictures, support for no watermark download, official data interface, stable, open source, free, no ads.

# 网页关键词/Keywords of the web page
Keywords = 抖音,tiktok,水印,无水印,no-watermark,抖音去水印,tiktok no watermark,在线,online,api,快捷指令,shortcut,下载,解析,parsing,tiktok api,抖音api,抖音去水印在线,tiktok去水印在线,downloader,下载器,free api,免费api
